

' VB6/VBA declare statements for NAG C Library DLL Mark 26
' Copyright 2016, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter h

' skeleton code for callback function
'  Sub h02bbc_qphess( _
'      ByVal n As long, _
'      ByVal jthcol As long, _
'      ByVal h_rptr As Long, _
'      ByVal tdh As long, _
'      ByVal x_rptr As Long, _
'      ByVal hx_rptr As Long, _
'      ByRef comm As Nag_Comm _
'    )
'      ' your code here
'  End Sub

   Declare Sub h02bbc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByVal m As long, _
    ByRef a As double, _
    ByVal tda As long, _
    ByRef bl As double, _
    ByRef bu As double, _
    ByRef intvar As Nag_Boolean, _
    ByRef cvec As double, _
    ByRef h As double, _
    ByVal tdh As long, _
    ByVal qphess As Long, _
    ByRef x As double, _
    ByRef objf As double, _
    ByRef ops As Nag_H02_Opt, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


   Declare Sub h02buc Lib "CLW3226DE_nag.dll" ( _
    ByVal mps_file As String, _
    ByVal minimize As Nag_Boolean, _
    ByRef n As long, _
    ByRef m As long, _
    ByRef aptr As Long, _
    ByRef blptr As Long, _
    ByRef buptr As Long, _
    ByRef intvarptr As Long, _
    ByRef cvecptr As Long, _
    ByRef xptr As Long, _
    ByRef ops As Nag_H02_Opt, _
    ByRef fail As NagError _
   )


   Declare Sub h02bvc Lib "CLW3226DE_nag.dll" ( _
    ByRef aptr As Long, _
    ByRef blptr As Long, _
    ByRef buptr As Long, _
    ByRef intvarptr As Long, _
    ByRef cvecptr As Long, _
    ByRef xptr As Long _
   )


   Declare Sub H02DDM Lib "CLW3226DE_nag.dll" ( _
    ByRef mode As long, _
    ByVal ncnln As long, _
    ByVal n As long, _
    ByVal varcon_iptr As Long, _
    ByVal x_rptr As Long, _
    ByVal c_rptr As Long, _
    ByVal cjac_rptr As Long, _
    ByVal nstate As long, _
    ByRef comm As Nag_Comm _
  )

' skeleton code for callback function
'  Sub h02dac_confun( _
'      ByRef mode As long, _
'      ByVal ncnln As long, _
'      ByVal n As long, _
'      ByVal varcon_iptr As Long, _
'      ByVal x_rptr As Long, _
'      ByVal c_rptr As Long, _
'      ByVal cjac_rptr As Long, _
'      ByVal nstate As long, _
'      ByRef comm As Nag_Comm _
'    )
'      ' your code here
'  End Sub


' skeleton code for callback function
'  Sub h02dac_objfun( _
'      ByRef mode As long, _
'      ByVal n As long, _
'      ByVal varcon_iptr As Long, _
'      ByVal x_rptr As Long, _
'      ByRef objmip As double, _
'      ByVal objgrd_rptr As Long, _
'      ByVal nstate As long, _
'      ByRef comm As Nag_Comm _
'    )
'      ' your code here
'  End Sub

   Declare Sub h02dac Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, ByVal nclin As long, ByVal ncnln As long, _
    ByRef a As double, ByVal pda As long, ByRef d As double, _
    ByRef ax As double, ByRef bl As double, ByRef bu As double, _
    ByRef varcon As long, ByRef x As double, ByVal confun As Long, _
    ByRef c As double, ByRef cjac As double, ByVal objfun As Long, _
    ByRef objgrd As double, ByVal maxit As long, ByVal acc As double, _
    ByRef objmip As double, ByRef iopts As long, ByRef opts As double, ByRef comm As Nag_Comm, ByRef fail As NagError _
   )


   Declare Sub h02xxc Lib "CLW3226DE_nag.dll" ( _
    ByRef ops As Nag_H02_Opt _
   )


   Declare Sub h02xyc Lib "CLW3226DE_nag.dll" ( _
    ByVal nm As String, _
    ByVal opt_file As String, _
    ByRef ops As Nag_H02_Opt, _
    ByVal dnprint As Nag_Boolean, _
    ByVal outfile As String, _
    ByRef fail As NagError _
   )


   Declare Sub h02xzc Lib "CLW3226DE_nag.dll" ( _
    ByRef ops As Nag_H02_Opt, _
    ByVal p_name As String, _
    ByRef fail As NagError _
   )


   Declare Sub h02zkc Lib "CLW3226DE_nag.dll" ( _
    ByVal optstr As String, _
    ByRef iopts As long, _
    ByVal liopts As long, _
    ByRef opts As double, _
    ByVal lopts As long, _
    ByRef fail As NagError _
   )


   Declare Sub h02zlc Lib "CLW3226DE_nag.dll" ( _
    ByVal optstr As String, _
    ByRef ivalue As long, _
    ByRef rvalue As double, _
    ByVal cvalue As String, _
    ByVal lcvalue As long, _
    ByRef optype As Nag_VariableType, _
    ByRef iopts As long, _
    ByRef opts As double, _
    ByRef fail As NagError _
   )


   Declare Sub h03abc Lib "CLW3226DE_nag.dll" ( _
    ByRef cost As double, _
    ByVal tdcost As long, _
    ByRef avail As double, _
    ByVal navail As long, _
    ByRef req As double, _
    ByVal nreq As long, _
    ByVal maxit As long, _
    ByRef numit As long, _
    ByRef optq As double, _
    ByRef source As long, _
    ByRef dest As long, _
    ByRef optcost As double, _
    ByRef unitcost As double, _
    ByRef fail As NagError _
   )


   Declare Sub h03bbc Lib "CLW3226DE_nag.dll" ( _
    ByVal nc As long, _
    ByRef dm As double, _
    ByVal bound As double, _
    ByVal targc As double, _
    ByRef path As long, _
    ByRef cost As double, _
    ByRef tmode As long, _
    ByRef alg_stats As double, _
    ByRef state As long, _
    ByRef fail As NagError _
   )


   Declare Sub h05aac Lib "CLW3226DE_nag.dll" ( _
    ByRef irevcm As long, ByVal mincr As long, ByVal m As long, _
    ByVal ip As long, ByVal nbest As long, ByRef drop As long, _
    ByRef lz As long, ByRef z As long, ByRef la As long, _
    ByRef a As long, ByRef bscore As double, ByRef bz As long, _
    ByVal mincnt As long, ByVal gamma As double, ByRef acc As double, _
    ByRef icomm As long, ByVal licomm As long, ByRef rcomm As double, _
    ByVal lrcomm As long, ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub h05abc_f( _
'      ByVal m As long, _
'      ByVal drop As long, _
'      ByVal lz As long, _
'      ByVal z_iptr As Long, _
'      ByVal la As long, _
'      ByVal a_iptr As Long, _
'      ByVal score_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef info As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub h05abc Lib "CLW3226DE_nag.dll" ( _
    ByVal mincr As long, _
    ByVal m As long, _
    ByVal ip As long, _
    ByVal nbest As long, _
    ByRef la As long, _
    ByRef bscore As double, _
    ByRef bz As long, _
    ByVal f As Long, _
    ByVal mincnt As long, _
    ByVal gamma As double, _
    ByRef acc As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


