

' VB6/VBA declare statements for NAG C Library DLL Mark 26
' Copyright 2016, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter m01

   Declare Sub m01cac Lib "CLW3226DE_nag.dll" ( _
    ByRef vec As double, _
    ByVal n As long, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01csc_compare( _
'      ByVal a As Long, _
'      ByVal b As Long _
'    ) As long
'      ' your code here
'  End Function

   Declare Sub m01csc Lib "CLW3226DE_nag.dll" ( _
    ByRef vec As Long, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As Long, _
    ByVal compare As Long, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01ctc_compare( _
'      ByVal a As Long, _
'      ByVal b As Long _
'    ) As long
'      ' your code here
'  End Function

   Declare Sub m01ctc Lib "CLW3226DE_nag.dll" ( _
    ByRef vec As Long, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As Long, _
    ByVal compare As Long, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01cuc_compare( _
'      ByVal a As Long, _
'      ByVal b As Long _
'    ) As long
'      ' your code here
'  End Function

   Declare Sub m01cuc Lib "CLW3226DE_nag.dll" ( _
    ByRef baseptr As Long, _
    ByVal offset As Long, _
    ByVal compare As Long, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01dsc_compare( _
'      ByVal a As Long, _
'      ByVal b As Long _
'    ) As long
'      ' your code here
'  End Function

   Declare Sub m01dsc Lib "CLW3226DE_nag.dll" ( _
    ByRef vec As Long, _
    ByVal n As long, _
    ByVal stride As Long, _
    ByVal compare As Long, _
    ByVal order As Nag_SortOrder, _
    ByRef ranks As long, _
    ByRef fail As NagError _
   )


   Declare Sub m01esc Lib "CLW3226DE_nag.dll" ( _
    ByRef vec As Long, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As Long, _
    ByRef indices As long, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01fsc_compare( _
'      ByVal a As Long, _
'      ByVal b As Long _
'    ) As long
'      ' your code here
'  End Function

   Declare Function m01fsc Lib "CLW3226DE_nag.dll" ( _
    ByVal keyptr As Long, _
    ByRef vec As Long, _
    ByVal n As long, _
    ByVal stride As Long, _
    ByVal compare As Long, _
    ByVal order As Nag_SortOrder, _
    ByVal final As Nag_SearchMatch, _
    ByRef matchptr As Long, _
    ByRef fail As NagError _
   ) As long


   Declare Function m01nac Lib "CLW3226DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef rv As double, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As double, _
    ByRef fail As NagError _
   ) As long


   Declare Function m01nbc Lib "CLW3226DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef iv As long, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As long, _
    ByRef fail As NagError _
   ) As long


   Declare Function m01ncc Lib "CLW3226DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef ch As Long, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As String, _
    ByRef fail As NagError _
   ) As long


   Declare Sub m01zac Lib "CLW3226DE_nag.dll" ( _
    ByRef ranks As long, _
    ByVal n As long, _
    ByRef fail As NagError _
   )


